<?php

/*

  $Id: catalog_products_with_images.php,v 1.5 by Tom St.Croix management@betterthannature.com



  osCommerce, Open Source E-Commerce Solutions

  http://www.oscommerce.com



  Copyright (c) 2002 osCommerce



  Released under the GNU General Public License

*/



  require('includes/application_top.php');



  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CATALOG_PRODUCTS_WITH_IMAGES);



  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CATALOG_PRODUCTS_WITH_IMAGES, '', 'NONSSL'));

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html <?php echo HTML_PARAMS; ?>>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>"> 
<title><?php echo TITLE; ?></title>

<base href="<?php echo (getenv('HTTPS') == 'on' ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">

<link rel="stylesheet" type="text/css" href="stylesheet.css">

<!-- coolMenu //-->
 <?php 
 if (DISPLAY_DHTML_MENU == 'CoolMenu') {
 	echo '<SCRIPT LANGUAGE="JavaScript1.2" SRC="includes/coolMenu.js"></SCRIPT>';
 }
 ?>
 <!-- coolMenu_eof //-->

</head>

<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">



 <!-- coolMenu //-->
 <?php 
 if (DISPLAY_DHTML_MENU == 'CoolMenu') {
 	require(DIR_WS_INCLUDES . 'coolmenu.php'); 
 }
 ?>
 <!-- coolMenu_eof //-->


<!-- header //-->

<?php require(DIR_WS_INCLUDES . 'header.php'); ?>

<!-- header_eof //-->

<table border="0" width="100%" cellspacing="3" cellpadding="3">

  <tr>

<!-- body_text //-->

    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">

      <tr>

        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">

          <tr>

            <td class="pageHeading"><?php echo HEADING_TITLE; ?><?php require(DIR_WS_BOXES . 'currencies.php'); ?></td>

          </tr>

        </table></td>

      </tr>

      <tr>

        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">

          <tr>

            <td colspan="6"><?php echo tep_draw_separator(); ?></td>

          </tr>

          <tr>

            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">

              <tr>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_IMAGES; ?></td>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_PRODUCTS; ?></td>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></td>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_PRODUCTS_UPC; ?></td>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_QUANTITY; ?></td>

                 <td class="tableHeading" align="center"><?php echo TABLE_HEADING_PRICE; ?>&nbsp;&nbsp;</td>

              </tr>

              <tr>

                <td colspan="6"><?php echo tep_draw_separator(); ?></td>

              </tr>

<?php

  if ($HTTP_GET_VARS['page'] > 1) $rows = $HTTP_GET_VARS['page'] * 20 - 20;

  $products_query_raw = "select p.products_id, p.products_image, p.products_model, p.products_upc, p.products_quantity, pd.products_name, p.manufacturers_id, p.products_price, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from ((" . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS . " p) left join " . TABLE_MANUFACTURERS . " m on p.manufacturers_id = m.manufacturers_id, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id where p.products_status = '1' and p.products_id = p2c.products_id and pd.products_id = p2c.products_id and pd.language_id = '" . $languages_id . "' order by pd.products_name";

  $products_query = tep_db_query($products_query_raw);

  while($products = tep_db_fetch_array($products_query)) {

    $rows++;



    if (strlen($rows) < 2) {

      $rows = '0' . $rows;

    }



 ?>

             

              <tr class="tableRow">

                <td class="tableData" align="center"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $products['cPath'] . '&products_id=' . $products['products_id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . $products['products_image'], $listing_values['products_image'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>'; ?>&nbsp;</td>

                <td class="tableData" align="center"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $products['cPath'] . '&products_id=' . $products['products_id'], 'NONSSL') . '">' . $products['products_name'] . '</a>'; ?>&nbsp;</td>

                <td class="tableData" align="center"><?php echo $products['products_model']; ?></td>

                <td class="tableData" align="center"><?php echo $products['products_upc']; ?></td>

                <td class="tableData" align="center"><?php echo $products['products_quantity']; ?></td>

		    <td class="tableData" align="center"><B><?php echo $currencies->format($products['final_price']); ?></B>&nbsp;</td>





              </tr>

<?php

  }

?>

              <tr>

                <td colspan="6"><?php echo tep_draw_separator(); ?></td>

              </tr>

            </table></td>

          <tr>

            <td colspan="3"><table border="0" width="100%" cellspacing="0" cellpadding="2">

              <tr>

                <td class="smallText">&nbsp;</td>

                <td align="right" class="smallText">&nbsp;</td>

              </tr>

            </table></td>

          </tr>

        </table></td>

      </tr>

    </table></td>

<!-- body_text_eof //-->

  </tr>

</table>

<!-- body_eof //-->



<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>

</body>

</html>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>