<?php
/*
  $Id: header_tags.php,v 1.6 2005/04/10 14:07:36 hpdl Exp $
  Created by Jack York from http://www.oscommerce-solution.com
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
define('HEADING_TITLE_CONTROLLER', 'Header Tags Override Controller');

define('HEADING_TITLE_ENGLISH', 'Header Tags - English');
define('HEADING_TITLE_ESPANOL', 'Header Tags - Espa&ntilde;ol');
define('HEADING_TITLE_GERMAN', 'Header Tags - German');

define('HEADING_TITLE_FILL_TAGS', 'Header Tags - Fill Tags');
define('TEXT_INFORMATION_ADD_PAGE', 'After adding a page to be controlled statically, configure the meta tags search engines will see for each language. Note that it does not add an actual page. To add a page, enter the name of the file, with or without the .php extension.');
define('TEXT_INFORMATION_DELETE_PAGE', '<b>Delete a New Page</b> Be aware! This option will remove the code for a page from the
above files.'); 
define('TEXT_INFORMATION_CHECK_PAGES', '<b>Check Missing Pages</b> - This option allows you to check which files in your
shop do not have entries in the above files. Note that not all pages should have entries. For example,
any page that will use SSL like Login or Create Account. To view the pages, click Update and then select the drop down list.'); 

define('TEXT_PAGE_TAGS', '<b>Add a New Page: </b>By default, Autoload uses dynamically generated meta tags for all pages. On product pages, products without meta tags are dynamically filled for you upon insertion of the product into the catalog. Filling out the meta tags boxes on add/edit product page will override dynamically generated tags and is recommended for best search engine results for products. If you want other pages to use your own predefined meta tags, you need to first add the page here, then use the Meta Text Control options from the left menu to edit those tags. By default, the index page and some other common ones are enabled and need to be configured. Adding a new page here overrides dynamic meta tags for that page. By default, the home page and some other common pages are already enabled and <b>should be configured</b> or restored to use dynamically generated meta tags <b>using the same Meta Text Control options in the left menu.</b>');

define('TEXT_ENGLISH_TAGS', 'This page is used to configure meta tags for pages set to override dynamically generated header tags.  Configure the header tags you want search engines to use for each page. The individual sections are named after the page they belong to. For example, to change the meta tags used on the List All Products page of your shop, edit the tags for all_products.php. If the title of a section appears in <font color="red">red</font>, it means that the page has not been designated to override dynamically generated header tags with static header tags and you should add the code using the Override Page Control control panel option.');

define('TEXT_ESPANOL_TAGS', 'Esta pgina se utiliza para configurar los meta tags para pginas conjunto de anular las etiquetas generadas dinmicamente de cabecera. Configurar la cabecera de etiquetas que desea utilizar motores de bsqueda de cada pgina. Las distintas secciones son el nombre de la pgina que pertenezcan. Por ejemplo, para cambiar la meta cdigos que se utilizan en la lista todos los productos de su tienda de la pgina, editar las etiquetas de all_products.php. Si el ttulo de una seccin que aparece en <font color="red">rojo</font>, significa que la pgina no ha sido designado para anular las etiquetas generadas dinmicamente con cabecera esttica y etiquetas de cabecera debe agregar el cdigo de uso de la Pgina de Control Override panel de control opcin.');

define('TEXT_GERMAN_TAGS', 'Diese Seite dient zur Konfiguration von Meta-Tags fr Seiten zu berschreiben, dynamisch generierte Header-Tags. Konfigurieren Sie die Header-Tags Sie Suchmaschinen zu verwenden fr jede Seite. Die einzelnen Abschnitte sind nach der Seite sie gehren. Zum Beispiel, um die Meta-Tags, die auf der Liste Alle Produkte Seite Ihres Shops, bearbeiten Sie die Tags fr die all_products.php. Wenn der Titel eines Abschnitts erscheint in <font color="red">rot</font>, bedeutet dies, dass die Seite nicht benannt worden zu berschreiben, dynamisch generierte Header-Tags mit statischen Header-Tags und sollten Sie den Code mit dem Override Page Control Control Panel-Option.');

define('TEXT_FILL_TAGS', 'This option allows you to fill in the meta tags added by
Header Tags. Select the appropriate setting for both the categories and products tags
and then click Update. If you select the Fill Only Empty Tags, then tags already
filled in will not be overwritten. If the Fill products meta description with Products Description option is
chosen, then the meta description tag will be filled with the products description. If a number is entered into the 
length box, the description will be truncated to that length.');

// header_tags_controller.php & header_tags_english.php
define('HEADING_TITLE_CONTROLLER_EXPLAIN', '(Explain)');
define('HEADING_TITLE_CONTROLLER_TITLE', 'Title:');
define('HEADING_TITLE_CONTROLLER_DESCRIPTION', 'Description:');
define('HEADING_TITLE_CONTROLLER_KEYWORDS', 'Keyword(s):');
define('HEADING_TITLE_CONTROLLER_PAGENAME', 'Page Name:');
define('HEADING_TITLE_CONTROLLER_PAGENAME_ERROR', 'Page name is already entered -> ');
define('HEADING_TITLE_CONTROLLER_PAGENAME_INVALID_ERROR', 'Page name is invalid -> ');
define('HEADING_TITLE_CONTROLLER_NO_DELETE_ERROR', 'Deleting %s is not allowed');

// header_tags_english.php
define('HEADING_TITLE_CONTROLLER_DEFAULT_TITLE', 'Default Title prepended to all pages not defined below:');
define('HEADING_TITLE_CONTROLLER_DEFAULT_DESCRIPTION', 'Default Description prepended to all pages not defined below:');
define('HEADING_TITLE_CONTROLLER_DEFAULT_KEYWORDS', 'Default Keyword(s) prepended to all pages not defined below:');
// header_tags_fill_tags.php
define('HEADING_TITLE_CONTROLLER_CATEGORIES', 'CATEGORIES');
define('HEADING_TITLE_CONTROLLER_MANUFACTURERS', 'MANUFACTURERS');
define('HEADING_TITLE_CONTROLLER_PRODUCTS', 'PRODUCTS');
define('HEADING_TITLE_CONTROLLER_SKIPALL', 'Skip all tags');
define('HEADING_TITLE_CONTROLLER_FILLONLY', 'Fill only empty tags');
define('HEADING_TITLE_CONTROLLER_FILLALL', 'Fill all tags');
define('HEADING_TITLE_CONTROLLER_CLEARALL', 'Clear all tags');
?>