<?php
/*
  $Id: categories.php,v 1.146 2003/07/11 14:40:27 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require_once(DIR_WS_FUNCTIONS . 'formatter.php');
  require_once(DIR_WS_CLASSES . 'auction_helper.php');
  require_once(DIR_WS_CLASSES . 'auction_lister.php');

	switch($_REQUEST['perform'])
	{
	case 'upload':
		$auctionLister = new AuctionLister();
		if($HTTP_POST_VARS['launch_pref'] === "N")	// launch now
		{
			$time_start = null;
		}
		else
		{
			$date = $HTTP_POST_VARS['scheduled_date'] .	' ' . 
			        $HTTP_POST_VARS['scheduled_hour'] . ':' . 
					$HTTP_POST_VARS['scheduled_minute'] . ' ' .
					$HTTP_POST_VARS['scheduled_ampm'];

			$time_start = local_date_to_gmt_sql_format($date);
		}

		$auctionHelper = new AuctionHelper();
      	$affectedItems = array();
		$affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
		foreach ($affectedItems as $key => $oID) 
	  	{
      		$listing = $auctionLister->getListing($oID);	  
			$listing['time_start'] = $time_start;
			$auctionLister->addToUpload($listing);
		}  			
		
		tep_redirect(tep_href_link(FILENAME_AUCTION_UPLOADS, tep_get_all_get_params(array('perform', 'action', 'status', 'oID'))));
		break;
	
	default:
		break;
	}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script language="javascript">
	function getRadioValue(radioName) {
	  var collection;
	  collection = document.all[radioName];
	  for (i=0;i<collection.length;i++) {
    	if (collection[i].checked)
	    return(collection[i].value);
	  }
	}

	function checkRadio(radioName, val) {
	  var collection;
	  collection = document.all[radioName];
	  for (i=0;i<collection.length;i++) {
    	if (collection[i].name == radioName && collection[i].value == val )
	    	collection[i].checked;
	  }
	}

	function submit_form(perform)
	{
		if(perform == 'cancel')
		{
			document.forms['scheduler'].perform.value = '';
			document.forms['scheduler'].action = '<? echo FILENAME_AUCTION_LISTER; ?>';
			document.forms['scheduler'].submit();
		}
		else if(perform == 'upload')
		{
			document.forms['scheduler'].perform.value = perform;
			//document.forms['scheduler'].action = '<? echo FILENAME_AUCTION_UPLOADS; ?>';
			document.forms['scheduler'].submit();
		}
			
		//alert(perform);
		return false;
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="spiffycalendar" class="text"></div>
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->

<link rel="stylesheet" type="text/css" href="includes/javascript/spiffyCal/spiffyCal_v2_1.css">
<script language="javascript" src="includes/javascript/spiffyCal/spiffyCal_v2_1.js"></script>
<script language="javascript" src="includes/javascript/dateformat.js"></script>
<script language="javascript"><!--
  var startDate = new ctlSpiffyCalendarBox("startDate", "scheduler", "scheduled_date","btnDate1","",scBTNMODE_CUSTOMBLUE);
//--></script>
    <td width="100%" valign="top">
    <?php echo tep_draw_form('scheduler', FILENAME_AUCTION_SCHEDULER, '', 'post'); ?>
	<?php
	/* Re-Post all POST'ed variables */
      reset($HTTP_POST_VARS);
      while (list($key, $value) = each($HTTP_POST_VARS)) {
        if (!is_array($HTTP_POST_VARS[$key])) {
          echo tep_draw_hidden_field($key, htmlspecialchars(stripslashes($value)));
        }
      }
	?>	  
    <table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
	        <td class="pageHeading" align="right">
				<?php echo tep_image_button('button_cancel.gif', IMAGE_CANCEL, "onclick=\"return submit_form('cancel');\""); ?>
				<?php echo tep_image_button('button_upload.gif', IMAGE_UPLOAD, "onclick=\"return submit_form('upload');\""); ?>
			</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo tep_draw_radio_field("launch_pref", "N", true); echo HEADING_AUCTION_LAUNCH_NOW; ?></td>
          </tr>
          <tr>
            <td colspan="4"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td/>
			<td class="main">Date:</td>
            <td>&nbsp;</td>
			<td class="main">Time (Local Time):</td>
          </tr>
          <tr>
            <td class="main"><?php echo tep_draw_radio_field("launch_pref", "L", false); echo HEADING_AUCTION_LAUNCH_LATER; ?></td>
            <td class="main"><script language="javascript">startDate.writeControl(); startDate.dateFormat="MM/dd/yyyy"; </script></td>
            <td>&nbsp;</td>
            <td class="main">
			   <select name="scheduled_hour" onchange="javascript:checkRadio('launch_pref', 'L');"><option value="1">1</option><option value="2">2</option><option value="3">3</option><option value="4">4</option><option value="5">5</option><option value="6">6</option><option value="7">7</option><option value="8" selected>8</option><option value="9">9</option><option value="10">10</option><option value="11">11</option><option value="12">12</option></select>
			   <select name="scheduled_minute"><option value="00" selected>00</option><option value="15">15</option><option value="30">30</option><option value="45">45</option></select>
			   <select name="scheduled_ampm"><option value="AM">AM</option><option value="PM" selected>PM</option></select>
			   <input type="hidden" name="utc_scheduled_time" />
			</td>
          </tr>
        </table></td>
      </tr>
    </table></form>
    </td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
